Subject: Re: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2019 19:36:17 +0300

> From: Sebastian Urban <[email-masked]>
> Date: Mon, 3 Jun 2019 00:50:55 +0200
> 
> 6.  In INFO 15.1.1 Basics of Incremental Search:
> - ‘<ESC> <ESC> <ESC>’ (‘isearch-cancel’) or ‘C-g C-g’ (‘isearch-abort’).
> + ‘<ESC> <ESC> <ESC>’ (‘isearch-cancel’) or ‘C-g’ (‘isearch-abort’).
> Because `view-lossage' and `describe-bindings' and the last paragraph
> of 15.1.4 say: `C-g'.

I left this unaltered, because in some cases you do need to type C-g
twice, so doing it twice always is safer.

> 7. In INFO 17.4 Executing Macros with Variations:
> -    ‘C-u C-x q’, which is ‘C-x q’ with a numeric argument, performs a
> +    ‘C-u C-x q’, which is ‘C-x q’ with a prefix argument, performs a
> Help window of `kbd-macro-query' has prefix arg.
> 
> 8. In INFO 17.5 Naming and Saving Keyboard Macros:
> -    If you give ‘insert-kbd-macro’ a numeric argument, it makes
> +    If you give ‘insert-kbd-macro’ a prefix argument, it makes
> Help window of `insert-kbd-macro' has prefix arg.

Fixed.

> 9. In INFO 15.10.2 Regexp Replacement:
> -   Repeating our example to exchange ‘x’ and ‘y’, we can thus do it also
> -this way:
> +   For example to exchange `x' and `y', we can do it this way:
> Although I'm not sure of this, the sentence sounds like there is
> another example of exchanging `x' and `y' (especially the word
> ``also''), but I cannot find it, therefore or I missed it, or there was
> something, but it was deleted and someone forgot to update the text.

There was a previous example, but it was deleted in Emacs 24.  I fixed
the wording.

> 10. In both INFO and PDF:
>    10.1. INFO 15.9 Lax Matching During Searching:
>    - such as U+249C PARENTHESIZED LATIN SMALL LETTER A and U+2100 ACCOUNT OF
>    + such as `U+249C' PARENTHESIZED LATIN SMALL LETTER A and `U+2100' 
> ACCOUNT OF
>    AND
>    - matches U+FB00 LATIN SMALL LIGATURE FF.  Character sequences that are
>    + matches `U+FB00' LATIN SMALL LIGATURE FF.  Character sequences that are
>    In both cases in PDF (12.9) string from `U' to the end of character
>    name (except `+' and digits) is written as "small caps shape" while
>    it should be: code as "typewriter family" (or verbatim?) and name as
>    normal upcase letters - just like in chapter "Inserting Text".

I don't see anything wrong with the current typeface, so I left it
alone.

>    10.2. INFO 25.5 Quotation Marks:
>    -    (1) The curved single quote characters are U+2018 LEFT SINGLE
>    - QUOTATION MARK and U+2018 RIGHT SINGLE QUOTATION MARK; the curved 
> double
>    - quotes are U+201C LEFT DOUBLE QUOTATION MARK and U+201D RIGHT DOUBLE
>    - QUOTATION MARK. On text terminals which cannot display these characters
>    +    (1) The curved single quote characters are `U+2018' LEFT SINGLE
>    + QUOTATION MARK and `U+2018' RIGHT SINGLE QUOTATION MARK; the curved 
> double
>    + quotes are `U+201C' LEFT DOUBLE QUOTATION MARK and `U+201D' RIGHT 
> DOUBLE
>    + QUOTATION MARK. On text terminals which cannot display these characters
>    Similar to the problem above, only this time in PDF (22.5), Unicode
>    should be written as typewriter/verbatim, the name is OK - all
>    uppercase.

Like earlier, I didn't change anything about the quotes, because I
think that was fixed already.  Please try the latest Texinfo sources.

> In PDF 22.5 Quotation Marks:
>     In 1st paragraph, 2nd line: 1st "like this" is surrounded with single
> curved quotes, while they should be single straight quotes.
>     In 1st paragraph, 3rd&4th line: both "like this" are surrounded with
> good quotes, but they have bad shape (normal text), while should be
> typewriter/verbatim.
>     In 2nd paragraph, 2nd line: there should be straight quotes
> followed by their curved types, but unfortunately straight quotes are
> curved as well.  Also curved have bad shape (normal text), should be
> typewriter/verbatim.
>     In 2nd paragraph, "value" at the end: curved quotes have bad shape
> (normal text), should be typewriter/verbatim.
>     In 4th paragraph, 5th line: curved quotes have bad shape (normal
> text), should be typewriter/verbatim.

Likewise.

> In point 1 (previous message) in the same paragraph, line below, "(...)
> C-x 8 [ and inserts (...)" and curved opening quote follows, which
> is good, but it has shape of normal latex text, while it should has
> typewriter/verbatim shape (bolder one).

Likewise.

> In INFO 15.6 and PDF 12.6 Syntax of Regular Expressions:
> Perhaps slanting word "special" or "special constructs" (I would opt
> for first one) in...
>     Regular expressions have a syntax in which a few characters are
> special constructs and the rest are “ordinary”.  An ordinary character
> ... for (again) stronger visual connection with word "ordinary".

Done.

Thanks again for reviewing the manual.

I'm marking this bug report done.